hw_api->checkin
hw_api->children
Hyperwave API Fonctions
PHP Manual

# hw_api->checkout

(No version information available, might be only in CVS)

hw_api->checkout — Extrait un objet

### Description

hw_api
bool checkout ( array `$parameter` )

Extrait un objet ou toute une hiérarchie d'objets.

### Liste de paramètres

`parameter`

  Le paramètre `parameter` contient l'élément obligatoire "objectIdentifier" et les éléments optionnels "version", "mode" et "objectQuery". "mode" peut prendre l'une des valeurs suivantes :

  `HW_API_CHECKIN_NORMAL`
    Extrait un objet. L'objet doit être un document.
  `HW_API_CHECKIN_RECURSIVE`
    Si l'objet à extraire est une collection, tous les fils seront extraits récursivement si ce sont des documents. Extraire une collection générera une erreur.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

### Voir aussi

- hw_api->checkin

hw_api->checkin
hw_api->children
Hyperwave API Fonctions
PHP Manual